booster::bad_callback_call Class Reference

this exception is thrown in case of calling unassigned/empty function More...

`#include <booster/booster/callback.h>`

Inheritance diagram for booster::bad_callback_call:

## Additional Inherited Members

Public Member Functions inherited from booster::runtime_error
| runtime_error (std::string const &s)
Public Member Functions inherited from booster::backtrace
| backtrace (size_t frames_no=default_stack_size)
size_t | stack_size () const
void * | return_address (unsigned frame_no) const
void | trace_line (unsigned frame_no, std::ostream &out) const
std::string | trace_line (unsigned frame_no) const
std::string | trace () const
void | trace (std::ostream &out) const
Static Public Attributes inherited from booster::backtrace
static size_t const | default_stack_size = 32

## Detailed Description

this exception is thrown in case of calling unassigned/empty function

The documentation for this class was generated from the following file:

- booster/callback.h